Bug 730713 - [ipa webui] Checkbox stays checked after deleting a list of objects
Summary: [ipa webui] Checkbox stays checked after deleting a list of objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 13:42 UTC by Namita Soman
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Selecting a check box for users, groups, hosts or host groups when deleting a list of objects in an HBAC rule in the Web UI. Consequence: The check box remains checked when the operation is complete and the entry is re-edited. Fix: Clear the selection when refreshing the page. Result: When re-editing a rule previous selections are cleared.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-08-15 13:42:03 UTC
Description of problem:
For HBAC Rule, a selected checkbox stays on after Update, but think in cases below - shouldn't be.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-9.20110811T0301zgite6d0612.el6.x86_64

How reproducible:
always


Steps to Reproduce:
1. Click to edit an HBACRule
2. Add a user/host
3. Update, and return to list of HBACRules
4. Click to edit this rule again
5. Select checkbox for Users - which selects all users in this list
6. Select to delete all users
7. Update, and return to list of HBACRules
8. Click to edit this rule again
  
Actual results:
The checkbox against Users stays on

Expected results:
The checkbox against Users should be off


Additional info:
similar behiour seen for other checkboxes in this oage for groups/hosts/hostgroups

Comment 2 Dmitri Pal 2011-08-15 14:53:06 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1639

Comment 3 Martin Kosek 2011-08-24 12:23:42 UTC
Fixed upstream:
master: 4a72593893f9037aafb8549e342c14f8bf34e1ae
ipa-2-1: 9363260ca0d10cfeff902f7241c731680074550d

Comment 5 Namita Soman 2011-10-11 18:00:50 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Checkbox gets cleared, when entries are deleted

Comment 6 Rob Crittenden 2011-11-01 13:21:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Selecting a check box for users, groups, hosts or host groups when deleting a list of objects in an HBAC rule in the Web UI.
Consequence: The check box remains checked when the operation is complete and the entry is re-edited.
Fix: Clear the selection when refreshing the page.
Result: When re-editing a rule previous selections are cleared.

Comment 7 errata-xmlrpc 2011-12-06 18:29:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.